# -*- coding: utf-8 -*-

from __future__ import unicode_literals

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu

from jmb.core.admin.menu import register_menu

bank_menu_item = items.MenuItem(
    # GENERAL
    _('Bank'), 
    reverse('admin:app_list', kwargs={'app_label': 'bank'}),
    children=[
        items.MenuItem(
            _('Bank'), '',
            children=[
                items.MenuItem(_('Add Bank'), reverse('admin:bank_bank_add',)),
                items.MenuItem(_('Bank List'), reverse('admin:bank_bank_changelist',)),
                items.MenuItem(_('Bank Detail List'), reverse('admin:bank_bankdetail_changelist',)),
            ]
        ),
    ]
)

register_menu(bank_menu_item, 'jmb.bank')
